---
schema_version: "1"
id: 5d389a47bc186eefba4add50486b7934f549899409f752894957a26e75e3f108
title: Retrieve the Data Detect Policies
collection: admin
version: current
locale: en-us
portal_url: https://docs.salesforce.com/admin/current/en-us/xcloud/264-0-0/data_detect_get_policy_api.md
canonical_url: https://help.salesforce.com/s/articleView?id=xcloud.data_detect_get_policy_api.htm&release=264.0.0&type=5
source_site: help.salesforce.com
content_type: documentation
content_hash: cd8e68429de7e84f0a2256816e87afdfd0d05aa70a419ae37a31680677f6f13d
description: Returns the list of existing policies with their details.
products:
  - Salesforce Platform
  - Cross Cloud
release: "264"
---
# Retrieve the Data Detect Policies

Returns the list of existing policies with their details.

### Required Editions

<table class="slds-table slds-table_bordered slds-max-medium-table_stacked slds-m-bottom_small edition"><colgroup><col></colgroup><tbody><tr class=""><td class="slds-cell-wrap" style="vertical-align:top;">Available in: Lightning Experience</td></tr><tr class=""><td class="slds-cell-wrap" style="vertical-align:top;">Available in: <strong>Enterprise</strong>, <strong>Performance</strong>, <strong>Unlimited</strong>, and <strong>Developer</strong> editions with the Salesforce Shield or Data Detect Licenses.</td></tr></tbody></table>

## Example

```
curl  https://MyDomainName.my.salesforce.com/services/data/v66.0/datadetect/policies -H "Authorization: Bearer token"  -X GET
```

EXAMPLE REQUEST BODY

![Example](https://sf-zdocs-cdn-prod.zoominsoftware.com/tdta-xcloud-setup-264-0-0-production-enus/6f21df35-9ea0-4f53-ac94-45c3b5dfd5bc/images/icon_example.png)

Example

None required

![Example](https://sf-zdocs-cdn-prod.zoominsoftware.com/tdta-xcloud-setup-264-0-0-production-enus/6f21df35-9ea0-4f53-ac94-45c3b5dfd5bc/images/icon_example.png)

Example RESPONSE BODY

```
{
    "policies": [
        {
            "id": "1Doxx0000004C92",
            "isScheduled": false,
            "name": "Data Privacy Policy",
            "description": "Policy for detecting sensitive data",
            "scanType": "PatternMatch"
        }
    ],
    "totalCount": 1
}

```